<?php


/**
 * scalar version 2.0.7 - upgrade
 *
 * @author Tim Owens & Craig Dietrich
 */
class i_scalar_2_0_7_upgrade extends i_action_upgrade
{	//==========================================================================
	// STEP I
	//==========================================================================
		
		public function step1_init()
		{
			$this->setStepLabel("_step_progress_processing");
		}
			
		public function step1_process()
		{
			$this->extract("main");
			$this->mv("scalar-2.0.7/system/application/config/rdf.php","system/application/config/");  // rdf.php changes often
			$this->rm("scalar-2.0.7/system/application/config");  // Remove config folder
			$this->rm("scalar-2.0.7/system/application/language");  // Remove language folder
			$this->rm("scalar-2.0.7/.htaccess");  // Remove .htaccess, which might have custom updates
			$this->mv("scalar-2.0.7/*");  // Copy everything else over
			$this->rm("scalar-2.0.7");  // Remove the folder
			
			$this->sr("system/application/config/local_settings.php", "#config\['active_melon'] = 'honeydew'#","config['active_melon'] = 'cantaloupe'");
			
			$this->extract("transfer");
			$this->rm("system/application/plugins/transfer/*");  // transfer plugin
			$this->mv('scalar-book-transfer-tool-0.3/*','system/application/plugins/transfer/');
			$this->rm("scalar-book-transfer-tool-0.3");
		}
}

?>